[@rxap/forms](../wiki/globals) / FormBuilderFn

# Type Alias: FormBuilderFn()\<T, Data\>

> **FormBuilderFn**\<`T`, `Data`\>: (`state`, `options`) => `T` \| [`RxapFormControl`](../wiki/Class.RxapFormControl)

Defined in: [packages/angular/forms/src/lib/model.ts:121](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/forms/src/lib/model.ts#L121)

## Type Parameters

• **T** *extends* [`FormDefinition`](../wiki/Interface.FormDefinition)\<`Data`\> \| [`FormType`](../wiki/TypeAlias.FormType)\<`Data`\> = [`FormDefinition`](../wiki/Interface.FormDefinition)

• **Data** = `Record`\<`string`, `any`\>

## Parameters

### state

`any`

### options

#### controlId

`string`

## Returns

`T` \| [`RxapFormControl`](../wiki/Class.RxapFormControl)
